[SM-Grimoire-Bugs] [Bug 15581] New: gtk-vnc 0.3.9 fails to compile with xulrunner 1.9.2 for netscape plugin support

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Thu Feb 18 01:24:41 EST 2010


http://bugs.sourcemage.org/show_bug.cgi?id=15581

           Summary: gtk-vnc 0.3.9 fails to compile with xulrunner 1.9.2
                    for netscape plugin support
           Product: Codex
           Version: stable grimoire
          Platform: All
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: x11
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: sandalle at sourcemage.org


$ cat /var/lib/sorcery/codex/stable/VERSION 
0.41-0
6b656c31edd4d66479acbfc6ad847089b9890a67

$ gaze from npapi.h
qt-x11-3.3.8:/usr/include/qt/npapi.h
xulrunner-1.9.2:/usr/include/xulrunner-1.9/npapi.h

$ gaze version xulrunner gtk-vnc
Grimoire  Section  Spell      Grimoire Version  Installed Version
--------  -------  -----      ----------------  -----------------
stable    http     xulrunner  1.9.2             1.9.2
stable    x11      gtk-vnc    0.3.9             0.3.9

# cast gtk-vnc
Computing previously installed dependencies...
gtk-vnc preparing environment...
gtk-vnc running configuration...
[[ Install example programs? -> n ]]
gtk-vnc checking dependencies...
gtk-vnc has a dependency on gnutls
gtk-vnc has an enabled optional dependency on python
gtk-vnc has an optional dependency on some NS-PLUGIN-COMPATIBLE (for web
browser plugin).
Continue to use firefox? [y] 
gtk-vnc has an optional dependency on some LIBSASL (for SASL authentication
support).
Continue to use libsasl? [y]
...
Making all in plugin
make[2]: Entering directory `/usr/src/gtk-vnc-0.3.9/plugin'
/bin/sh ../libtool --tag=CC   --mode=compile gcc -std=gnu99 -DHAVE_CONFIG_H -I.
-I..    -I../src -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1
-I/usr/include/freetype2 -I/usr/include/libpng12 -DXP_UNIX
-I/usr/include/xulrunner-1.9/stable     -march=core2 -fPIC -DPIC -pipe -DPIC
-fPIC -O2 -MT gtk_vnc_plugin_la-gtk-vnc-plugin.lo -MD -MP -MF
.deps/gtk_vnc_plugin_la-gtk-vnc-plugin.Tpo -c -o
gtk_vnc_plugin_la-gtk-vnc-plugin.lo `test -f 'gtk-vnc-plugin.c' || echo
'./'`gtk-vnc-plugin.c
libtool: compile:  gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I.. -I../src
-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2
-I/usr/include/libpng12 -DXP_UNIX -I/usr/include/xulrunner-1.9/stable
-march=core2 -fPIC -DPIC -pipe -DPIC -fPIC -O2 -MT
gtk_vnc_plugin_la-gtk-vnc-plugin.lo -MD -MP -MF
.deps/gtk_vnc_plugin_la-gtk-vnc-plugin.Tpo -c gtk-vnc-plugin.c  -fPIC -DPIC -o
.libs/gtk_vnc_plugin_la-gtk-vnc-plugin.o
In file included from gtk-vnc-plugin.c:40:
gtk-vnc-plugin.h:39:19: error: npapi.h: No such file or directory
In file included from gtk-vnc-plugin.c:40:
gtk-vnc-plugin.h:48: error: expected specifier-qualifier-list before 'uint16'
gtk-vnc-plugin.h:62: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'GtkVNCXSetWindow'
gtk-vnc-plugin.h:63: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'GtkVNCDestroyWindow'
gtk-vnc-plugin.h:64: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'GtkVNCXHandleEvent'
gtk-vnc-plugin.c: In function 'vnc_auth_credential':
gtk-vnc-plugin.c:90: error: 'PluginInstance' has no member named 'container'
gtk-vnc-plugin.c: At top level:
gtk-vnc-plugin.c:165: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'GtkVNCXSetWindow'
gtk-vnc-plugin.c:262: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'GtkVNCDestroyWindow'
gtk-vnc-plugin.c:276: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'windowlessWindow'
gtk-vnc-plugin.c:279: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'GtkVNCXHandleEvent'
make[2]: *** [gtk_vnc_plugin_la-gtk-vnc-plugin.lo] Error 1
make[2]: Leaving directory `/usr/src/gtk-vnc-0.3.9/plugin'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/gtk-vnc-0.3.9'
make: *** [all] Error 2

Compiling without netscape plugin support works.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list